#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAE,0x57,0x73,0x91,0xCB,0x23,0xC6,0xF1,0x2D,0x96,0x79,0xBA,
		0xF3,0xC5,0x5D,0xFC,0x92,0xED,0xB8,0xFC,0x0A,0x2F,0x20,0x1E,
		0x2A,0xC6,0x91,0x39,0x08,0x49,0xC1,0x20,0x98,0x56,0xD1,0x31,
		0x4B,0xDB,0x7D,0xA7,0xEA,0xFA,0x37,0x43,0x5E,0x83,0x46,0x0C,
		0xF6,0x69,0x91,0x5D,0x76,0x06,0xB2,0x94,0x91,0x58,0xA8,0xC1,
		0x4A,0x8D,0xB7,0xD3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
